Where is LVM GUI in CentOS 7?

If you are coming from old CentO 4/5/6 exprience, then you will notice that system-config-lvm is no longer available  in Centos 7. From RedHat documentation regarding LVM in CentOS 7– system-config-lvm The system-config-lvm tool has been deprecated. Management of logical volumes can be performed via the gnome-disk-util or the lvm tools.

How to install httpd 2.4 rpm on CentOS 6

With the new release of Apache httpd 2.4, its highly recommended to upgrade the Apache httpd on your server. Here I will demo you how to install Apache httpd 2.4 through RPM on CentOS 6. The Software Collections (SCL) repository comes handy, install centos-release-scl repo package available in CentOS repository:

Install the httpd 2.4:… Read More »

Zimbra authentication with Samba4 Active Directory

In our previous post, we learned How to install Zimbra Collaboration Suite 8.6 on CentOS 7, now we will configure Zimbra authentication with Samba4 Active Directory (or Windows Active Directory).   Zimbra has 3 authentication mode as below: Internal – The internal Zimbra ldap External Active Directory External LDAP Here we will use Samba4 as… Read More »

How to install Zimbra Collaboration Suite 8.6 on CentOS 7

This is an install guide for Zimbra 8.6 on CentOS 7.1. This guide should help you get Zimbra email server – Open Source Edition up and running on CentOS.   Initial Setup: Use hosts file to setup FQDN for Zimbra server

Disable SELINUX, Firewalld. Since Zimbra will install Postfix, MySQL and webserver, we need… Read More »

Samba4 Systemd script

If you are using Samba4 AD DC with CentOS 7, you will missed the initScript for Samba4 created for older versions. CentOS 7 has no longer support initScript which now replaced with Systemd. Here we are demonstrating the Samba4 Systemd script for CentOS7:

Samba4 Backup – tdbbackup: command not found

Q: While taking Samba4 backup as described in Backup and restore an Samba AD DC wiki page, i received following error message:  

This is due to missing tdb-tools package, install it using following command:

Update: If you are still getting following error then try to add $PATH into your crontab script as… Read More »

Update VMware Hypervisor to ESXi 6.0 Update 2

On 17 March 2016, VMware releases ESXi 6.0 Update 2. The ESXi 6.0 Update 2 supports 25 G and 50 G ethernet link speeds and  HTML5 support for VMware Host Client and enhance APIs support. VMware provides several ways to upgrade ESX/ESXi hosts: vSphere Update Manager Interactively using an ESXi installer ISO image Scripted upgrade vSphere… Read More »

Linux Password policy – /etc/login.defs No change for existing users

To enable the password policy in on my CentOS 7, i edited the /etc/login.defs and make changes following values: PASS_MAX_DAYS Maximum number of days a password may be used. PASS_MIN_DAYS Minimum number of days allowed between password changes. PASS_MIN_LEN Minimum acceptable password length. PASS_WARN_AGE Number of days warning given before a password expires.

The above… Read More »